### Method

# EDataServer XmlDocument add_attribute_time

since: 3.26

#### Declaration [src]

    void
    e_xml_document_add_attribute_time (
      EXmlDocument* xml,
      const gchar* ns_href,
      const gchar* name,
      time_t value
    )

#### Description [src]

Adds a new attribute with a time_t value in ISO 8601 format to the current element. The format is “YYYY-MM-DDTHH:MM:SSZ”. Use `NULL` `ns_href`, to use the default namespace, otherwise either previously added namespace with the same href from `e_xml_document_add_namespaces()` is picked, or a new namespace with generated prefix is added.

Available since: 3.26

#### Parameters

`ns_href`

  Type: `const gchar*`

  Optional namespace href for the new attribute, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Name of the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `time_t`

  Time_t value of the attribute.